dagcat-setup(1)

NAME
dagcat-setup - Endace DAG card CAT configuration utility.

SYNOPSIS
dagcat-setup [options]

DESCRIPTION
dagcat-setup is used to configure CAT in one of several pre-defined modes or to parse the user specified filter file and configure the CAT accordingly. The format of the rule file is as follows keywords

(not) color [<from>-<to>]
            Specify the color range for the rule. If "not" is given, the values outside the range will be taken.

(not)color <color_value>
            Specify the color for the rule.( only single value)

(not)hash [<from>-<to>]
            Specify the hash range for the rule.If "not" is given, the values outside the range will be taken.

(not)hash <hash_value>
            Specify the hash for the rule. ( only single value)

(not)iface [<from>-<to>]
            Specify the iface range for the rule.If "not" is given, the values outside the range will be taken.

(not) iface <iface_value>
            Specify the iface for the rule. ( only single value)

stream <list>
            Specify the destination streams for the rule. Specified as a comma separated list.

dagcat-setup tool configure the CAT module. The CAT module maps the IPF colour, Hash value from load balancer and interface values to different streams.The CAT  has 2 banks to load the configuration. At any time only one bank would be active. The  dagcat-setup tool loads the configuration into the inactive bank and then enables the newly configured bank. dagconfig could be used to swap between the banks without using the dagcat-setup tool to load new configuration.

OPTIONS
dagcat-setup accepts different options for different filtering solutions.B elow is the list of options for different solutions Generic Options[valid for all cards.]

-d DEVICE
       --device DEVICE Use the DAG device referred to by R DEVICE . Supported syntax includes 0, d0, dag1, and /dev/dag3 to refer to DAG cards. If no device is specified, dagconfig assumes d0.

-h,--help
    Display usage(help) information.

-v,--verbose <level>
    Set the verbosity level.This is primarily intented for debugging purposes.

-V,--version
    Display version information.

-f,--rules
    Name of the file containing the rules to load

-m,--mode
    Mode in which CAT should be configured in. Supported modes are: dup3, z4, z8, dup2, z3, z2, z3monitor

-q,--query
    Queries the maximum values allowed for different parameters.

EXAMPLES
Setting up DAG card d0 to load balance across two streams.
    dagcat-setup -d0 -m z2

Setting up DAG card d0 to duplicate the traffic across two streams.
    dagcat-setup -d0 -m dup2

Setting up DAG card d0 to load a custom configuration as per rule file cat_1.rule
    dagcat-setup -d0 -f cat_1.rule

SEE ALSO
Endace Configuration and Status API user guide, Endace dagcat-setup Software Guide, dagfilter-loader(3)

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: nuwan.gunasekara $ $Revision: 13736 $ $Date: 2011-01-14 17:14:58 +1300 (Fri, 14 Jan 2011) $

COPYRIGHT
(c) 2004-2007 Endace Technology, Hamilton, New Zealand. All Rights Reserved.